import 'package:mmoo_base/generated/json/base/json_convert_content.dart';

class UserStatusEntity with JsonConvert<UserStatusEntity> {
  List<UserStatus?>? userStatus;
}

class UserStatus with JsonConvert<UserStatus> {
  String? headImage;
  String? nickname;
  String? online;
  String? id;
  String? gender;
  String? birthday;
  String? signature;

  UserStatus({this.headImage, this.nickname, this.id});

  String getAgeYear() {
    try {
      return ', ${DateTime.now().year - DateTime.parse(birthday!).year}';
    } catch (e) {
      return '';
    }
  }
}
