import 'package:mmoo_base/entity/faqlist_entity.dart';

faqListEntityFromJson(FaqListEntity data, Map<String, dynamic> json) {
	if (json['helpRespList'] != null) {
		data.helpRespList = (json['helpRespList'] as List).map((v) => FaqList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> faqListEntityToJson(FaqListEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['helpRespList'] =  entity.helpRespList?.map((v) => v?.toJson())?.toList();
	return data;
}

faqListFromJson(FaqList data, Map<String, dynamic> json) {
	if (json['title'] != null) {
		data.title = json['title'].toString();
	}
	if (json['url'] != null) {
		data.url = json['url'].toString();
	}
	if (json['content'] != null) {
		data.content = json['content'].toString();
	}
	if (json['image'] != null) {
		data.image = json['image'].toString();
	}
	return data;
}

Map<String, dynamic> faqListToJson(FaqList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['title'] = entity.title;
	data['url'] = entity.url;
	data['content'] = entity.content;
	data['image'] = entity.image;
	return data;
}