import 'package:mmoo_base/entity/live_list_entity.dart';

liveListEntityFromJson(LiveListEntity data, Map<String, dynamic> json) {
	if (json['list'] != null) {
		data.list = (json['list'] as List).map((v) => LiveAnchor().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> liveListEntityToJson(LiveListEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['list'] =  entity.list?.map((v) => v.toJson())?.toList();
	return data;
}

liveAnchorFromJson(LiveAnchor data, Map<String, dynamic> json) {
	if (json['nickname'] != null) {
		data.nickname = json['nickname'].toString();
	}
	if (json['userId'] != null) {
		data.userId = json['userId'].toString();
	}
	if (json['online'] != null) {
		data.online = json['online'].toString();
	}
	if (json['pic'] != null) {
		data.pic = json['pic'].toString();
	}
	if (json['birthday'] != null) {
		data.birthday = json['birthday'].toString();
	}
	if (json['gender'] != null) {
		data.gender = json['gender'].toString();
	}
	if (json['signature'] != null) {
		data.signature = json['signature'].toString();
	}
	if (json['check'] != null) {
		data.check = json['check'];
	}
	return data;
}

Map<String, dynamic> liveAnchorToJson(LiveAnchor entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['nickname'] = entity.nickname;
	data['userId'] = entity.userId;
	data['online'] = entity.online;
	data['pic'] = entity.pic;
	data['birthday'] = entity.birthday;
	data['gender'] = entity.gender;
	data['signature'] = entity.signature;
	data['check'] = entity.check;
	return data;
}