import 'package:mmoo_base/entity/lucky_entity.dart';

luckyEntityFromJson(LuckyEntity data, Map<String, dynamic> json) {
	if (json['model'] != null) {
		data.model = (json['model'] as List).map((v) => LuckyModel().fromJson(v)).toList();
	}
	if (json['num'] != null) {
		data.num = json['num'].toString();
	}
	if (json['flushTime'] != null) {
		data.flushTime = json['flushTime'].toString();
	}
	if (json['isLottery'] != null) {
		data.isLottery = json['isLottery'].toString();
	}
	return data;
}

Map<String, dynamic> luckyEntityToJson(LuckyEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['model'] =  entity.model?.map((v) => v?.toJson())?.toList();
	data['num'] = entity.num;
	data['flushTime'] = entity.flushTime;
	data['isLottery'] = entity.isLottery;
	return data;
}

luckyModelFromJson(LuckyModel data, Map<String, dynamic> json) {
	if (json['giftUrl'] != null) {
		data.giftUrl = json['giftUrl'].toString();
	}
	if (json['lotteryId'] != null) {
		data.lotteryId = json['lotteryId'].toString();
	}
	if (json['num'] != null) {
		data.num = json['num'].toString();
	}
	if (json['sort'] != null) {
		data.sort = json['sort'].toString();
	}
	if (json['type'] != null) {
		data.type = json['type'].toString();
	}
	if (json['isSurprise'] != null) {
		data.isSurprise = json['isSurprise'].toString();
	}
	return data;
}

Map<String, dynamic> luckyModelToJson(LuckyModel entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['giftUrl'] = entity.giftUrl;
	data['lotteryId'] = entity.lotteryId;
	data['num'] = entity.num;
	data['sort'] = entity.sort;
	data['type'] = entity.type;
	data['isSurprise'] = entity.isSurprise;
	return data;
}

luckyBeanFromJson(LuckyBean data, Map<String, dynamic> json) {
	if (json['isLottery'] != null) {
		data.isLottery = json['isLottery'].toString();
	}
	return data;
}

Map<String, dynamic> luckyBeanToJson(LuckyBean entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['isLottery'] = entity.isLottery;
	return data;
}