import 'package:mmoo_base/entity/share_coin_entity.dart';

shareCoinEntityFromJson(ShareCoinEntity data, Map<String, dynamic> json) {
	if (json['coins'] != null) {
		data.coins = json['coins'] is String
				? int.tryParse(json['coins'])
				: json['coins'].toInt();
	}
	if (json['rechargeCoins'] != null) {
		data.rechargeCoins = json['rechargeCoins'] is String
				? int.tryParse(json['rechargeCoins'])
				: json['rechargeCoins'].toInt();
	}
	if (json['regnCoins'] != null) {
		data.regnCoins = json['regnCoins'] is String
				? int.tryParse(json['regnCoins'])
				: json['regnCoins'].toInt();
	}
	if (json['total'] != null) {
		data.total = json['total'] is String
				? int.tryParse(json['total'])
				: json['total'].toInt();
	}
	return data;
}

Map<String, dynamic> shareCoinEntityToJson(ShareCoinEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['coins'] = entity.coins;
	data['rechargeCoins'] = entity.rechargeCoins;
	data['regnCoins'] = entity.regnCoins;
	data['total'] = entity.total;
	return data;
}