import 'package:mmoo_base/entity/user_status_entity.dart';

userStatusEntityFromJson(UserStatusEntity data, Map<String, dynamic> json) {
	if (json['userStatus'] != null) {
		data.userStatus = (json['userStatus'] as List).map((v) => UserStatus().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> userStatusEntityToJson(UserStatusEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['userStatus'] =  entity.userStatus?.map((v) => v?.toJson())?.toList();
	return data;
}

userStatusFromJson(UserStatus data, Map<String, dynamic> json) {
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['nickname'] != null) {
		data.nickname = json['nickname'].toString();
	}
	if (json['online'] != null) {
		data.online = json['online'].toString();
	}
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['gender'] != null) {
		data.gender = json['gender'].toString();
	}
	if (json['birthday'] != null) {
		data.birthday = json['birthday'].toString();
	}
	if (json['signature'] != null) {
		data.signature = json['signature'].toString();
	}
	return data;
}

Map<String, dynamic> userStatusToJson(UserStatus entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['headImage'] = entity.headImage;
	data['nickname'] = entity.nickname;
	data['online'] = entity.online;
	data['id'] = entity.id;
	data['gender'] = entity.gender;
	data['birthday'] = entity.birthday;
	data['signature'] = entity.signature;
	return data;
}