import 'package:mmoo_base/generated/json/base/json_convert_content.dart';

class LiveListEntity with JsonConvert<LiveListEntity> {
  List<LiveAnchor>? list;
}

class LiveAnchor with JsonConvert<LiveAnchor> {
  String? nickname;
  String? userId;
  String? online;
  String? pic;
  String? birthday;
  String? gender;
  String? signature;
  bool check = false; //翻牌后1s内不在线的设置选走状态

  String getAgeYear() {
    try {
      return '${DateTime.now().year - DateTime.parse(birthday!).year}yrs';
    } catch (e) {
      return '';
    }
  }
}
