import 'package:mmoo_base/generated/json/base/json_convert_content.dart';

class MainListEntity with JsonConvert<MainListEntity> {
  List<ListAnchor?>? rows;
  int? size;
  int? num;
}

class ListAnchor with JsonConvert<ListAnchor> {
  int? userId;
  String? nickname;
  String? country;
  String? birthday;
  String? headImage;
  int? gender;
  int? online;
  int? haveVideo;
  int? cost;
  int? isAnchor;
  int? isCare;
  int? haveFreeVideo;
  int? sort;
  int? userVideoId;
  int? liveStatus;
  int? toy;
  int? toyCost;

  String getAgeYear() {
    try {
      return ', ${DateTime.now().year - DateTime.parse(birthday!).year}';
    } catch (e) {
      return '';
    }
  }
}
