import 'package:mmoo_base/entity/admob_config_entity.dart';

admobConfigEntityFromJson(AdmobConfigEntity data, Map<String, dynamic> json) {
	if (json['maxTime'] != null) {
		data.maxTime = json['maxTime'].toString();
	}
	if (json['nowTime'] != null) {
		data.nowTime = json['nowTime'].toString();
	}
	if (json['rewardCoin'] != null) {
		data.rewardCoin = json['rewardCoin'].toString();
	}
	if (json['openAd'] != null) {
		data.openAd = json['openAd'].toString();
	}
	return data;
}

Map<String, dynamic> admobConfigEntityToJson(AdmobConfigEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['maxTime'] = entity.maxTime;
	data['nowTime'] = entity.nowTime;
	data['rewardCoin'] = entity.rewardCoin;
	data['openAd'] = entity.openAd;
	return data;
}