import 'package:mmoo_base/entity/live_entity.dart';

liveEntityFromJson(LiveEntity data, Map<String, dynamic> json) {
	if (json['nextTime'] != null) {
		data.nextTime = json['nextTime'].toString();
	}
	if (json['nextHouseId'] != null) {
		data.nextHouseId = json['nextHouseId'].toString();
	}
	if (json['nowPeople'] != null) {
		data.nowPeople = json['nowPeople'].toString();
	}
	if (json['headers'] != null) {
		data.headers = (json['headers'] as List).map((v) => v.toString()).toList().cast<String>();
	}
	return data;
}

Map<String, dynamic> liveEntityToJson(LiveEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['nextTime'] = entity.nextTime;
	data['nextHouseId'] = entity.nextHouseId;
	data['nowPeople'] = entity.nowPeople;
	data['headers'] = entity.headers;
	return data;
}