import 'package:mmoo_base/entity/lucky_number_entity.dart';

luckyNumberEntityFromJson(LuckyNumberEntity data, Map<String, dynamic> json) {
	if (json['accountMoney'] != null) {
		data.accountMoney = json['accountMoney'].toString();
	}
	if (json['luckyNum'] != null) {
		data.luckyNum = (json['luckyNum'] as List).map((v) => v.toString()).toList().cast<String>();
	}
	if (json['num'] != null) {
		data.num = json['num'].toString();
	}
	if (json['odds'] != null) {
		data.odds = json['odds'].toString();
	}
	return data;
}

Map<String, dynamic> luckyNumberEntityToJson(LuckyNumberEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['accountMoney'] = entity.accountMoney;
	data['luckyNum'] = entity.luckyNum;
	data['num'] = entity.num;
	data['odds'] = entity.odds;
	return data;
}