import 'package:mmoo_base/entity/lucky_slot_entity.dart';

luckySlotEntityFromJson(LuckySlotEntity data, Map<String, dynamic> json) {
	if (json['list'] != null) {
		data.list = (json['list'] as List).map((v) => LuckySlotList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> luckySlotEntityToJson(LuckySlotEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['list'] =  entity.list?.map((v) => v?.toJson())?.toList();
	return data;
}

luckySlotListFromJson(LuckySlotList data, Map<String, dynamic> json) {
	if (json['flag'] != null) {
		data.flag = json['flag'] is String
				? int.tryParse(json['flag'])
				: json['flag'].toInt();
	}
	if (json['num'] != null) {
		data.num = json['num'].toString();
	}
	if (json['headerImage'] != null) {
		data.headerImage = json['headerImage'].toString();
	}
	return data;
}

Map<String, dynamic> luckySlotListToJson(LuckySlotList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['flag'] = entity.flag;
	data['num'] = entity.num;
	data['headerImage'] = entity.headerImage;
	return data;
}