import 'package:mmoo_base/entity/video_info_entity.dart';

videoInfoEntityFromJson(VideoInfoEntity data, Map<String, dynamic> json) {
	if (json['picUrl'] != null) {
		data.picUrl = json['picUrl'].toString();
	}
	if (json['videoUrl'] != null) {
		data.videoUrl = json['videoUrl'].toString();
	}
	return data;
}

Map<String, dynamic> videoInfoEntityToJson(VideoInfoEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['picUrl'] = entity.picUrl;
	data['videoUrl'] = entity.videoUrl;
	return data;
}