import 'package:mmoo_base/entity/video_list_entity.dart';

videoListEntityFromJson(VideoListEntity data, Map<String, dynamic> json) {
	if (json['list'] != null) {
		data.list = (json['list'] as List).map((v) => VideoListBean().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> videoListEntityToJson(VideoListEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['list'] =  entity.list?.map((v) => v.toJson())?.toList();
	return data;
}

videoListBeanFromJson(VideoListBean data, Map<String, dynamic> json) {
	if (json['favCount'] != null) {
		data.favCount = json['favCount'].toString();
	}
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['info'] != null) {
		data.info = json['info'].toString();
	}
	if (json['lookCount'] != null) {
		data.lookCount = json['lookCount'].toString();
	}
	if (json['picUrl'] != null) {
		data.picUrl = json['picUrl'].toString();
	}
	if (json['price'] != null) {
		data.price = json['price'].toString();
	}
	if (json['status'] != null) {
		data.status = json['status'].toString();
	}
	if (json['videoId'] != null) {
		data.videoId = json['videoId'].toString();
	}
	if (json['user'] != null) {
		data.user = UserBean().fromJson(json['user']);
	}
	if (json['buyStatus'] != null) {
		data.buyStatus = json['buyStatus'].toString();
	}
	if (json['favStatus'] != null) {
		data.favStatus = json['favStatus'].toString();
	}
	if (json['videoUrl'] != null) {
		data.videoUrl = json['videoUrl'].toString();
	}
	return data;
}

Map<String, dynamic> videoListBeanToJson(VideoListBean entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['favCount'] = entity.favCount;
	data['id'] = entity.id;
	data['info'] = entity.info;
	data['lookCount'] = entity.lookCount;
	data['picUrl'] = entity.picUrl;
	data['price'] = entity.price;
	data['status'] = entity.status;
	data['videoId'] = entity.videoId;
	data['user'] = entity.user?.toJson();
	data['buyStatus'] = entity.buyStatus;
	data['favStatus'] = entity.favStatus;
	data['videoUrl'] = entity.videoUrl;
	return data;
}

userBeanFromJson(UserBean data, Map<String, dynamic> json) {
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['isCare'] != null) {
		data.isCare = json['isCare'].toString();
	}
	if (json['nickName'] != null) {
		data.nickName = json['nickName'].toString();
	}
	if (json['online'] != null) {
		data.online = json['online'].toString();
	}
	return data;
}

Map<String, dynamic> userBeanToJson(UserBean entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['headImage'] = entity.headImage;
	data['id'] = entity.id;
	data['isCare'] = entity.isCare;
	data['nickName'] = entity.nickName;
	data['online'] = entity.online;
	return data;
}